//
//  Copyright (C) 2002 Cendio Systems.  All Rights Reserved.
//  Copyright (C) 2002 Constantin Kaplinsky.  All Rights Reserved.
//
//  This is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This software is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this software; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
//  USA.
//
package nxm.vnc.libvnc.tightvnc;

import java.awt.*;
import java.awt.event.*;

/**
   ReloginPanel class implements panel with a button for logging in again,
   after fatal errors or disconnect

   The panel which implements the Relogin button.

   2006-07-08 whk Only mod to file is addition of package label
   @version $Id: ReloginPanel.java,v 1.2 2013/03/08 17:19:47 ntn Exp $
*/
class ReloginPanel extends Panel implements ActionListener {
  /** NOTE: this should be changed if the structure/fields of this class changes. */
  private static final long serialVersionUID = 2013030809332L; // for Serializable interface

  Button reloginButton;
  Button closeButton;
  VncViewer viewer;

  //
  // Constructor.
  //
  public ReloginPanel(VncViewer v) {
    viewer = v;
    setLayout(new FlowLayout(FlowLayout.CENTER));
    reloginButton = new Button("Login again");
    add(reloginButton);
    reloginButton.addActionListener(this);
    if (viewer.inSeparateFrame) {
      closeButton = new Button("Close window");
      add(closeButton);
      closeButton.addActionListener(this);
    }
  }

  //
  // This method is called when a button is pressed.
  //
  public synchronized void actionPerformed(ActionEvent evt) {
    if (viewer.inSeparateFrame)
      viewer.vncFrame.dispose();
  }
}
